import request from '/@/utils/request';
/**
 * @summary 监测值最近报警几条记录
 */
export const GetLastList = async (params) => {
	return request({
		url: '/Monitor/Value/Alarm/Record/Std/GetLastList@V1.0',
		method: 'GET',
		params: params,
	});
};


/**
 * @summary 监测值报警记录
 */
export const GetPageListByGroupIDContainsChildren = async (params) => {
	return request({
		url: '/Monitor/Value/Alarm/Record/Std/GetPageListByGroupIDContainsChildren@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 获取中断报警分页列表
 */
export const GetAlarmPageList = async (params) => {
	return request({
		url: '/Monitor/Interrupt/Alarm/Record/Std/GetPageListByGroupIDContainsChildren@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 获取对接报警列表
 */
export const GetDataDockPageList = async (params) => {
	return request({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Record/Std/GetPageList@V1.0',
		method: 'GET',
		params: params,
	});
};
